Jump to content

A19/A18 CreaturePacks - A community entity project


xyth

Recommended Posts

 

After reading your post, at first I laughed, then I thought about it little more and I actually like that idea! Imagine chimpanzee NPC followers! I think it would be pretty hilarious to see these little guys slapping zombies, of course if you can afford to hire them, it will cost you 1000 bananas. :fish:

 

gI7lyA6.jpg

 

Also just the chimps screaming would be hilarious.

Link to comment
Share on other sites

been trying to track down which one of the creatures pack has this issue

Invalid Layer Index '1'

 

(Filename: C:\buildslave\unity\build\Modules/Animation/Director/AnimatorControllerPlayable.cpp Line: 919)

 

think it might be in npc's anyone else have this issue? its server side. and lags the heck out of the game

Link to comment
Share on other sites

been trying to track down which one of the creatures pack has this issue

Invalid Layer Index '1'

 

(Filename: C:\buildslave\unity\build\Modules/Animation/Director/AnimatorControllerPlayable.cpp Line: 919)

 

think it might be in npc's anyone else have this issue? its server side. and lags the heck out of the game

 

Yea, i think this is the same issue spider has on his server with the dmt stuff installed, would have to talk to sphere.

Link to comment
Share on other sites

 

Yea, i think this is the same issue spider has on his server with the dmt stuff installed, would have to talk to sphere.

 

actually narrowed it down to the 0-CreaturePackAnimals as soon as a burst of butterflies happen with the mod enabled it starts spamming the server with that invalid layer index, removal of the 0-CreaturePackAnimals stops the issue. so it has to be in there because all the other ones, humans fantasy and zombies dont have this issue as i checed each one one by one.

Link to comment
Share on other sites

 

actually narrowed it down to the 0-CreaturePackAnimals as soon as a burst of butterflies happen with the mod enabled it starts spamming the server with that invalid layer index, removal of the 0-CreaturePackAnimals stops the issue. so it has to be in there because all the other ones, humans fantasy and zombies dont have this issue as i checed each one one by one.

 

Nice find! My friend's having the same problem. He has spiders disabled, so I know it's not any of the spiders.

Link to comment
Share on other sites

I spawned all animals with and without the core loaded and I don't have any warnings or errors. There are no butterflys in the creature pack, the are bats, and I tested those specifically and no warnings or errors.

 

That error was a known issue with gen2 creatures due to the old controller. Nothing in the creaturepacks use that old controller.

Edited by xyth (see edit history)
Link to comment
Share on other sites

Try a new game yet?

 

ya its a brand new game and i have a custom designed map,a clean wipe and clean install on 3 servers all have the same issue when i use the creatures animals, but all the other ones are ok

here's a list of mods im currently using, they all work well together (as been using them since earlier versions) creature packs are the newest additions https://gitlab.com/LainSzvahl/Da-Oko...ee/master/Mods i use gitlabs cause it works well with 7 days to die mod launcher of sphereii's

 

Love all the new kinds of zombies and the wandering npc's!

Link to comment
Share on other sites

 

ya its a brand new game and i have a custom designed map,a clean wipe and clean install on 3 servers all have the same issue when i use the creatures animals, but all the other ones are ok

here's a list of mods im currently using, they all work well together (as been using them since earlier versions) creature packs are the newest additions https://gitlab.com/LainSzvahl/Da-Oko...ee/master/Mods i use gitlabs cause it works well with 7 days to die mod launcher of sphereii's

 

Love all the new kinds of zombies and the wandering npc's!

 

Your log shows you are loading animalpack 1.15. The bug your reporting was fixed in animalpack 1.16 It was fixed based on your previous post, but it was the goat not the bats that causes that error.

Link to comment
Share on other sites

Pushed a new version of the Human creaturepack. It has some refactoring and adding of new options for spawning bandit weapons in that pack and for the NPC mod. Hopefully save safe but dont update if you cant risk it.

Link to comment
Share on other sites

I have all the packs downloaded and up to date via mod luncher and Iv'e noticed an oddity. 8 out of 10 zombies are guppy variants with his soliders and medical zombies being most frequent. Even roaming hordes are all guppy zombies sometimes.

 

Does anyone else have this happen too?

Link to comment
Share on other sites

  • xyth pinned and unpinned this topic

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...